<div class="card ms-3 " style="width: 350px; height: 400px">
  <%= render layout: "components/window_buttons" do %>
    <span class="text-secondary w-50 text-center font-monospace text-truncate">#ofclicks</span>
  <% end %>
  <hr class="m-0 pb-3">
  <div class="overflow-auto p-2">
    <ul class="list-group list-group-flush">
      <% if !@pagy.nil? %>
        <% @aggregated_result.each.with_index(1) do |(short_url), index| %>
          <li class="list-group-item d-flex justify-content-between align-items-center">
            <div class="d-flex flex-column w-100">
              <div class="d-flex justify-content-between w-100">
                <a class="text-secondary text-decoration-none" data-bs-toggle="collapse" href="#collapse-<%= index %>" aria-expanded="false" aria-controls="collapse-<%= index %>">
                  <%= short_url.path %>
                </a>
                <span class="badge text-bg-secondary rounded-pill"><%= short_url.num_of_clicks %></span>
              </div>
              <span class="collapse w-20 p-2" id="collapse-<%= index %>">
                <%= short_url.target_url.url %>
              </span>
            </div>
          </li>
        <% end %>
      <% end %>
    </ul>
  </div>
</div>
